<Project Sdk="Microsoft.NET.Sdk.Web">

	<PropertyGroup>
		<TargetFramework>net6.0</TargetFramework>
		<UserSecretsId>051ea637-792d-470a-ad9f-3d79eb0f6635</UserSecretsId>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
		<DocumentationFile>bin\Debug\Khd.Core.Api.xml</DocumentationFile>
		<OutputPath>bin\Debug</OutputPath>
		<WarningsAsErrors>NU1605</WarningsAsErrors>
		<NoWarn>1701;1702;1591</NoWarn>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
		<OutputPath>bin\Release</OutputPath>
		<DocumentationFile>bin\Release\Khd.Core.Api.xml</DocumentationFile>
		<WarningsAsErrors>NU1605</WarningsAsErrors>
		<NoWarn>1701;1702;1591</NoWarn>
	</PropertyGroup>

	<ItemGroup>
	  <Content Remove="appsettings.Demo.json" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="HtmlAgilityPack" Version="1.11.54" />
		<PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="6.0.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="7.0.10">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="6.0.0" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\Khd.Core.Application\Khd.Core.Application.csproj" />
	</ItemGroup>

	<ItemGroup>
	  <Reference Include="S7.Net">
	    <HintPath>..\..\dll\S7.Net.dll</HintPath>
	  </Reference>
	</ItemGroup>

</Project>